Npm 与 Nodejs 的安装 (Ubuntu 18.04)

安装

1
2
3
4
$ sudo apt-get update                      #更新软件源
$ sudo apt-get install nodejs #安装Nodejs
$ #sudo apt-get install nodejs-legacy #旧版系统可尝试此命令
$ sudo apt-get install npm #安装Npm

安装模块 n (用于 npm 的软件包管理)

1
$ sudo npm install -g n

Npm 版本的更新

检查当前安装的 Npm 版本

1
2
$ npm -v
$ nodejs -v

当前的版本为npm版本

安装 Npm 更新

运行(可能需要使用Sudo命令提权后操作)

1
2
3
4
5
$ npm install npm -g           #更新npm

$ npm install [email protected] -g #更新npm到Latest版本

$ npm install [email protected] -g. #更新npm到Beta版本

npm安装

####安装 NodeJs 更新
运行(可能需要使用Sudo命令提权后操作)

1
$ n latest

nodejs安装


使用 NCU 插件管理工程文件下的 npm 组件

NCU 是 npm-check-updates 的缩写,可以简单快速的将package.json中的依赖更新到最新版本

安装 NCU

运行(可能需要使用Sudo命令提权后操作)

1
npm install -g npm-check-updates

ncu-u

使用 NCU 更新

运行(可能需要使用Sudo命令提权后操作)

1
2
$ ncu -u
$ npm install

ncu-u

  • ncu 的全局更新
1
2
$ ncu -g
$ npm -g install

LOG

1
2
3
4
5
6
7
8
➜  blog git:(master) ✗ ncu -g
[====================] 4/4 100%

hexo-cli 2.0.0 → 3.1.0

ncu itself cannot upgrade global packages. Run the following to upgrade all global packages:

npm -g install [email protected]

使用 Yarn 插件管理文件夹下的package.json软件依赖

安装 Yarn

1
2
3
$ npm install yarn -g
$ yarn -v
$ yarn

使用淘宝 CNPM 代替 npm

安装 CNPM

运行(可能需要使用Sudo命令提权后操作)

1
$ npm install -g cnpm --registry=https://registry.npm.taobao.org

cnpm 的用法与 npm 相同,只是替换了 npm 的国内源从而加速下载。

直接使用 CNPM 源替换 npm

1
2
$ sudo npm config set registry https://registry.npm.taobao.org
$ sudo npm config list

安装 npm 时出现 Depends 错误?

1
2
3
The following packages have unmet dependencies:
npm : Depends: node-gyp (>= 0.10.9) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

执行以下命令重新安装依赖即可

1
$ sudo apt-get install nodejs-dev node-gyp libssl1.0-dev